> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/api-integration-methods-auth-and-endpoints/integration-methods-and-environment-endpoints.md).

# Integration methods and environment endpoints

You can accept online payments with Verifone through multiple integration methods. This page explains what you need to know to choose the best integration method for you, where to find essential information like URLs, and how to authenticate with our API.

## eCommerce Integration Methods <a href="#integration-methods" id="integration-methods"></a>

Online payments can be processed by using our [Checkout ](/online-payments/checkout.md)solution as a Hosted Payments Page (HPP) or an iFrame. Payment modifications can be done directly via Verifone Central, or by using eCommerce API calls. A comparison of the different integration methods can be found here:

<table><thead><tr><th width="264">Integration method</th><th width="340">Description</th><th>PCI compliancy</th></tr></thead><tbody><tr><td>Hosted Payments Page (HPP)</td><td>Full page redirect to Verifone servers</td><td>SAQ A</td></tr><tr><td>iFrame</td><td>Render a Verifone hosted form on your website</td><td>SAQ A</td></tr><tr><td>Pay by Link</td><td>Send payment links to your customers manually or automate with an API</td><td>SAQ A</td></tr><tr><td>Server to Server (with Verifone.JS)</td><td>Securely encrypt card data client-side with Verifone.js and perform API calls to create transactions in the eCommerce API directly.</td><td>SAQ A-EP</td></tr><tr><td>Server to server (with merchant hosted encryption)</td><td>Encrypt cards server-side and perform API calls to create transactions in the eCommerce API directly.</td><td>SAQ D</td></tr></tbody></table>

{% hint style="info" %}
These integrations assist you with staying at the mentioned PCI Assessment level for payments via Verifone, but do not altogether remove PCI obligations, or keep you at the mentioned level if other components of your payment system are not meeting the level’s criteria.
{% endhint %}

## Environment variables <a href="#environment-variables" id="environment-variables"></a>

Depending on the environment you want to use (sandbox or production), you need to use different URLs, API keys, and other variables such as User ID, Payment Provider Contract, 3DS Contract, and Entity ID.

When setting up your environments, make sure these variables are configurable:

<table><thead><tr><th width="240.6666259765625">URLs</th><th>See below</th></tr></thead><tbody><tr><td>API key</td><td>To get your API keys, log in to Verifone Central, then go to <strong>User Settings</strong> in the top-right corner and select <a href="/online-payments/api-integration-methods-auth-and-endpoints/api-authentication/get-your-api-keys.md">API Keys</a> from the drop-down menu.</td></tr><tr><td>User ID</td><td>To find the User ID, log in to Verifone Central, go to <em>User Settings -> My account</em> in the top-right corner, and see the User ID in the <strong>General information</strong> section.</td></tr><tr><td>Payment Provider Contracts</td><td>To find the payment provider contract (PPC) you want to process the payment against, log in to Verifone Central, go to <em>Administration -> Account setup -> Payment Provider Contracts,</em> and click on a PPC from the list. In the <strong>General information</strong> section, see the <strong>Payment Provider Contract ID</strong>.</td></tr><tr><td>3DS Contract</td><td>To view your 3DS contract information, log in to Verifone Central, go to <em>Administration -> Advanced settings -> 3DS Contracts,</em> and click on a contract from the list. In the <strong>General information</strong> section, see the <strong>3D Secure Contract ID</strong>.</td></tr><tr><td>Entity ID</td><td><p>To find the Entity ID, log in to Verifone Central, go to <em>Administration -> Account setup -> Organizations,</em> and click on an organization from the list. In the <strong>General information</strong> section, see the <strong>Organization ID</strong>.</p><p><strong>Notes:</strong></p><ol><li>The Organization ID in Verifone Central is the Entity ID in the API.</li><li>When copying the Organization ID, make sure the Organization type in the <strong>General information</strong> section has "Merchant site" as the value.</li></ol></td></tr></tbody></table>

### Additional eCommerce credentials

Whether you use hosted Checkout or a server-to-server integration, you may need these additional credentials:

* `Token scope ID` — optional. Required when you use [tokenization](/online-payments/tokenization.md).
* `Theme ID` — optional. Required when you use Checkout themes. Create and manage themes in the [Checkout Themes Editor](/verifone-central-getting-started/verifone-central/administration-tools/checkout-themes-editor.md).

If you use Server-to-Server or Verifone.js, you also need:

* **Secure card capture key** — used to encrypt cardholder data. See [Secure card capture key](/online-payments/api-integration-methods-auth-and-endpoints/secure-card-capture-key.md).
* **Secure card capture key alias** — available in the same [Secure card capture key](/online-payments/api-integration-methods-auth-and-endpoints/secure-card-capture-key.md) area.

## Sandbox and production URLs <a href="#sandbox-and-production-urls" id="sandbox-and-production-urls"></a>

Depending on your region and your integration method you can select the corresponding environment:

### eCommerce API

<table data-header-hidden><thead><tr><th width="274.5999755859375"></th><th></th></tr></thead><tbody><tr><td><h4>Sandbox</h4></td><td></td></tr><tr><td>Global</td><td><a href="https://cst.test-gsc.vfims.com">https://cst.test-gsc.vfims.com</a></td></tr><tr><td>US</td><td><a href="https://uscst-gb.gsc.vficloud.net">https://uscst-gb.gsc.vficloud.net</a></td></tr><tr><td><h4>Production</h4></td><td></td></tr><tr><td>EMEA</td><td><a href="https://emea.gsc.verifone.cloud">https://emea.gsc.verifone.cloud</a></td></tr><tr><td>US</td><td><a href="https://us.gsc.verifone.cloud">https://us.gsc.verifone.cloud</a></td></tr><tr><td>NZ</td><td><a href="https://nz.gsc.verifone.cloud">https://nz.gsc.verifone.cloud</a></td></tr></tbody></table>

### Checkout Service

<table data-header-hidden><thead><tr><th width="278.199951171875"></th><th></th></tr></thead><tbody><tr><td><h4>Sandbox</h4></td><td></td></tr><tr><td>Global</td><td><a href="https://cst.test-gsc.vfims.com/oidc/checkout-service">https://cst.test-gsc.vfims.com/oidc/checkout-service</a></td></tr><tr><td>US</td><td><a href="https://uscst-gb.gsc.vficloud.net/oidc/checkout-service ">https://uscst-gb.gsc.vficloud.net/oidc/checkout-service</a></td></tr><tr><td><h4>Production</h4></td><td></td></tr><tr><td>EMEA</td><td><a href="https://emea.gsc.verifone.cloud/oidc/checkout-service">https://emea.gsc.verifone.cloud/oidc/checkout-service</a></td></tr><tr><td>US</td><td><a href="https://us.gsc.verifone.cloud/oidc/checkout-service">https://us.gsc.verifone.cloud/oidc/checkout-service</a></td></tr><tr><td>NZ</td><td><a href="https://nz.gsc.verifone.cloud/oidc/checkout-service">https://nz.gsc.verifone.cloud/oidc/checkout-service</a></td></tr></tbody></table>

### Customer Service

<table data-header-hidden><thead><tr><th width="284.2000732421875"></th><th></th></tr></thead><tbody><tr><td><h4>Sandbox</h4></td><td></td></tr><tr><td>Global</td><td><a href="https://cst.test-gsc.vfims.com/oidc/customer-service">https://cst.test-gsc.vfims.com/oidc/customer-service</a></td></tr><tr><td>US</td><td><a href="https://uscst-gb.gsc.vficloud.net/oidc/customer-service">https://uscst-gb.gsc.vficloud.net/oidc/customer-service</a></td></tr><tr><td><h4>Production</h4></td><td></td></tr><tr><td>EMEA</td><td><a href="https://emea.gsc.verifone.cloud/oidc/customer-service">https://emea.gsc.verifone.cloud/oidc/customer-service</a></td></tr><tr><td>US</td><td><a href="https://us.gsc.verifone.cloud/oidc/customer-service">https://us.gsc.verifone.cloud/oidc/customer-service</a></td></tr><tr><td>NZ</td><td><a href="https://nz.gsc.verifone.cloud/oidc/customer-service">https://nz.gsc.verifone.cloud/oidc/customer-service</a></td></tr></tbody></table>

### Verifone Central

<table data-header-hidden><thead><tr><th width="290.2000732421875"></th><th></th></tr></thead><tbody><tr><td><h4>Sandbox</h4></td><td></td></tr><tr><td>Global</td><td><a href="https://test.verifone.cloud">https://test.verifone.cloud</a></td></tr><tr><td>US</td><td><a href="https://uscst.test.vficloud.net">https://uscst.test.vficloud.net</a></td></tr><tr><td><h4>Production</h4></td><td></td></tr><tr><td>EMEA</td><td><a href="https://emea.live.verifone.cloud">https://emea.live.verifone.cloud</a></td></tr><tr><td>US</td><td><a href="https://us.live.verifone.cloud">https://us.live.verifone.cloud</a></td></tr><tr><td>NZ</td><td><a href="https://nz.live.verifone.cloud/">https://nz.live.verifone.cloud/</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verifone.com/online-payments/api-integration-methods-auth-and-endpoints/integration-methods-and-environment-endpoints.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
